<center><a href="mpiaijpc.c">Actual source code: mpiaijpc.c</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:23:15+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a><strong><font color="#228B22">#define PETSCMAT_DLL</font></strong>
<a name="line2"> 2: </a> #include <A href="../../../../../src/mat/impls/aij/mpi/mpiaij.h.html">src/mat/impls/aij/mpi/mpiaij.h</A>

<a name="line7">  7: </a><strong><font color="#4169E1"><a name="MatGetDiagonalBlock_MPIAIJ"></a><A href="../../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  MatGetDiagonalBlock_MPIAIJ(<A href="../../../../../docs/manualpages/Mat/Mat.html#Mat">Mat</A> A,<A href="../../../../../docs/manualpages/Sys/PetscTruth.html#PetscTruth">PetscTruth</A> *iscopy,<A href="../../../../../docs/manualpages/Mat/MatReuse.html#MatReuse">MatReuse</A> reuse,<A href="../../../../../docs/manualpages/Mat/Mat.html#Mat">Mat</A> *a)</font></strong>
<a name="line8">  8: </a>{
<a name="line10"> 10: </a>  *a      = ((Mat_MPIAIJ *)A-&gt;data)-&gt;A;
<a name="line11"> 11: </a>  *iscopy = <A href="../../../../../docs/manualpages/Sys/PETSC_FALSE.html#PETSC_FALSE">PETSC_FALSE</A>;
<a name="line12"> 12: </a>  <font color="#4169E1">return</font>(0);
<a name="line13"> 13: </a>}
</pre>
</body>

</html>
